LibreOffice: _typelib_InterfaceAttributeTypeDescription Struct Reference

LibreOffice LibreOffice 6.3 SDK C/C++ API Reference

Public Attributes | List of all members
_typelib_InterfaceAttributeTypeDescription Struct Reference

The description of an interface attribute. More...

`#include <typedescription.h>`

## Public Attributes
typelib_InterfaceMemberTypeDescription | aBase
| inherits all members of typelib_InterfaceMemberTypeDescription More...
sal_Bool | bReadOnly
| determines whether attribute is read only More...
typelib_TypeDescriptionReference * | pAttributeTypeRef
| type of the attribute More...
struct _typelib_InterfaceTypeDescription * | pInterface
| the interface description this attribute is a member of More...
typelib_TypeDescriptionReference * | pBaseRef
| the inherited direct base attribute (null for an attribute that is not inherited) More...
sal_Int32 | nIndex
| if pBaseRef is null, the member position of this attribute within pInterface, not counting members inherited from bases; if pBaseRef is not null, the index of the direct base within pInterface from which this attribute is inherited More...
sal_Int32 | nGetExceptions
| number of getter exceptions More...
typelib_TypeDescriptionReference ** | ppGetExceptions
| array of getter exception types More...
sal_Int32 | nSetExceptions
| number of setter exceptions More...
typelib_TypeDescriptionReference ** | ppSetExceptions
| array of setter exception types More...

## Detailed Description

The description of an interface attribute.

The type class of this description is typelib_TypeClass_INTERFACE_ATTRIBUTE. The size and the alignment are 0.

## Member Data Documentation

## ◆ aBase

typelib_InterfaceMemberTypeDescription _typelib_InterfaceAttributeTypeDescription::aBase

inherits all members of typelib_InterfaceMemberTypeDescription

## ◆ bReadOnly

sal_Bool _typelib_InterfaceAttributeTypeDescription::bReadOnly

determines whether attribute is read only

## ◆ nGetExceptions

sal_Int32 _typelib_InterfaceAttributeTypeDescription::nGetExceptions

number of getter exceptions

Since
  UDK 3.2.0

## ◆ nIndex

sal_Int32 _typelib_InterfaceAttributeTypeDescription::nIndex

if pBaseRef is null, the member position of this attribute within pInterface, not counting members inherited from bases; if pBaseRef is not null, the index of the direct base within pInterface from which this attribute is inherited

Since
  UDK 3.2.0

## ◆ nSetExceptions

sal_Int32 _typelib_InterfaceAttributeTypeDescription::nSetExceptions

number of setter exceptions

Since
  UDK 3.2.0

## ◆ pAttributeTypeRef

typelib_TypeDescriptionReference* _typelib_InterfaceAttributeTypeDescription::pAttributeTypeRef

type of the attribute

## ◆ pBaseRef

typelib_TypeDescriptionReference* _typelib_InterfaceAttributeTypeDescription::pBaseRef

the inherited direct base attribute (null for an attribute that is not inherited)

Since
  UDK 3.2.0

## ◆ pInterface

struct _typelib_InterfaceTypeDescription* _typelib_InterfaceAttributeTypeDescription::pInterface

the interface description this attribute is a member of

## ◆ ppGetExceptions

typelib_TypeDescriptionReference** _typelib_InterfaceAttributeTypeDescription::ppGetExceptions

array of getter exception types

Since
  UDK 3.2.0

## ◆ ppSetExceptions

typelib_TypeDescriptionReference** _typelib_InterfaceAttributeTypeDescription::ppSetExceptions

array of setter exception types

Since
  UDK 3.2.0

The documentation for this struct was generated from the following file:

- typelib/typedescription.h